def f(v1):
    v2 = 1
    def g(v3=2):
        return v1 + v2 + v3 + 4
    def h():
        return 16
    return g() + h() + 32

class C(object):
    def foo(self):
        def k(x):
            return [ self, x ]
        return k(3)

def m():
    vm = 1
    def n(an=2):
        vn = 4
        def o(ao=8):
            vo = 16
            return vm + an + vn + ao + vo
        return o()
    return n()
